package cn.com.countrygarden.bi.main.dao;


import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.AccessToken;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;


import java.util.List;
import java.util.Map;

@Repository
public interface AccessTokenMapper extends Mapper<AccessToken>{

    void insertOrUpdate(Map<String, String> accessToken);
    AccessToken getAccessToken(Map<String, String> accessToken);
    void updateAccessToken(Map<String, String> accessToken);
    List<AccessToken> findByUserCode(@Param("userCode") String userCode);
}
